Bug 1956240 - Review Request: rust-edit - Open a file in the default text editor regardless of platform
Summary: Review Request: rust-edit - Open a file in the default text editor regardless...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2021-05-03 09:36 UTC by Trystram
Modified: 2021-05-27 00:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-27 00:31:50 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Trystram 2021-05-03 09:36:54 UTC
spec file : https://gitlab.com/jbtrystram/rust-edit/-/raw/main/rust-edit.spec
SRPM file : https://gitlab.com/jbtrystram/rust-edit/-/raw/main/rust-edit-0.1.3-1.fc35.src.rpm

Description: edit is a Rust library that lets you open and edit something in a text editor, regardless of platform. (Think git commit.)

Fedora Account System Username: jbtrystram
Koji build : https://koji.fedoraproject.org/koji/taskinfo?taskID=67203667

Hello, I need this library as a dependency for my other project that i would like to get into fedora.
I have nother package approved and waiting for me to be sponsored as well : https://bugzilla.redhat.com/show_bug.cgi?id=1951424

The aim is to get "drg" into fedora : https://github.com/drogue-iot/drg

Comment 1 Robert-André Mauchin 🐧 2021-05-09 14:56:09 UTC
 - You must install the LICENSE file with %license in %files


%if ! %{__cargo_skip_build}
%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%endif

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

 - Please note that you can edit the Cargo.toml with "rust2rpm -p"

 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Comment 2 Trystram 2021-05-10 12:37:34 UTC
I missed the licence file, this is fixed. 
Thanks for the tip about rust2rpm -p, i used that on another package submission

Comment 3 Robert-André Mauchin 🐧 2021-05-10 16:41:46 UTC
Package approved + you are now sponsored.

Comment 4 Gwyn Ciesla 2021-05-18 14:03:20 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-edit

Comment 5 Fedora Update System 2021-05-18 14:21:58 UTC
FEDORA-2021-10ee3f09e6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-10ee3f09e6

Comment 6 Fedora Update System 2021-05-19 02:20:40 UTC
FEDORA-2021-10ee3f09e6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-10ee3f09e6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-10ee3f09e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-05-27 00:31:50 UTC
FEDORA-2021-10ee3f09e6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.